Skip to content

DELETE USB Enablement Rules.

POST
/api/operate/namespaces/{namespace}/sites/{site}/vpm/usb/{node}/rules/delete
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/usb/example/rules/delete \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "namespace": "example", "node": "example", "rules": [ { "b_device_class": "example", "b_device_protocol": "example", "b_device_sub_class": "example", "i_serial": "example", "id_product": "example", "id_vendor": "example" } ], "site": "example" }'

DELETE USB Enablement Rules.

Examples of this operation.

namespace
required
string

Namespace Namespace for which the request is sent (system)

site
required
string

Site Name Name of the site.

node
required
string

Node Name Name of the node.

Media typeapplication/json
USB Delete Rules Request

Request to DELETE USB Enablement Rules.

object
namespace
Namespace

Namespace for which the request is sent (system)

string
>= 6 characters <= 1024 characters
node
Node Name

Name of the node.

string
<= 1024 characters
rules
Rules

DELETE of USB Enablement Rules.

Array<object>
Rule

USB Enablement Rule.

object
b_device_class
b_device_class

The class of this device.

string
<= 1024 characters
b_device_protocol
b_device_protocol

The protocol (within the sub-class) of this device.

string
<= 1024 characters
b_device_sub_class
b_device_sub_class

The sub-class (within the class) of this device.

string
<= 1024 characters
i_serial
i_serial_number

Index of Serial Number String Descriptor.

string
<= 1024 characters
id_product
id_product

Product ID (Assigned by Manufacturer) in hex.

string
<= 1024 characters
id_vendor
id_vendor

Vendor ID (Assigned by USB Org) in hex.

string
<= 1024 characters
site
Site Name

Name of the site.

string
<= 1024 characters
Examplegenerated
{
"namespace": "example",
"node": "example",
"rules": [
{
"b_device_class": "example",
"b_device_protocol": "example",
"b_device_sub_class": "example",
"i_serial": "example",
"id_product": "example",
"id_vendor": "example"
}
],
"site": "example"
}

A successful response.

Media typeapplication/json
USB Delete Rules Responsse

Response to DELETE USB Enablement Rules.

object
rules
Rules

Deleted USB Enablement Rules.

Array<object>
Rule

USB Enablement Rule.

object
b_device_class
b_device_class

The class of this device.

string
<= 1024 characters
b_device_protocol
b_device_protocol

The protocol (within the sub-class) of this device.

string
<= 1024 characters
b_device_sub_class
b_device_sub_class

The sub-class (within the class) of this device.

string
<= 1024 characters
i_serial
i_serial_number

Index of Serial Number String Descriptor.

string
<= 1024 characters
id_product
id_product

Product ID (Assigned by Manufacturer) in hex.

string
<= 1024 characters
id_vendor
id_vendor

Vendor ID (Assigned by USB Org) in hex.

string
<= 1024 characters
Examplegenerated
{
"rules": [
{
"b_device_class": "example",
"b_device_protocol": "example",
"b_device_sub_class": "example",
"i_serial": "example",
"id_product": "example",
"id_vendor": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example